package com.muyu.enterprise.cache.car;

import com.muyu.common.cache.CacheAbsBasic;
import com.muyu.domain.resp.CarInformationResp;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 车辆缓存
 * @Author：yang
 * @Package：com.muyu.cache
 * @Project：cloud-server-8
 * @name：VehicleCacheService
 * @Date：2024/9/30 11:50
 */
public class VehicleCacheCarInformationService extends CacheAbsBasic<String, List<CarInformationResp>> {
    @Override
    public String keyPre() {
        return "CarInformation:info:";
    }

    @Override
    public String decode(String key) {
        return key.replace("vehicle:info:","");
    }
}
